iir1: Iir::ChebyshevI::LowPass< FilterOrder, StateType > Struct Template Reference

iir1

Public Member Functions | List of all members
Iir::ChebyshevI::LowPass< FilterOrder, StateType > Struct Template Reference

`#include <ChebyshevI.h>`

Inheritance diagram for Iir::ChebyshevI::LowPass< FilterOrder, StateType >:

## Public Member Functions
void | setup (double sampleRate, double cutoffFrequency, double rippleDb)
void | setup (int reqOrder, double sampleRate, double cutoffFrequency, double rippleDb)
void | setupN (double cutoffFrequency, double rippleDb)
void | setupN (int reqOrder, double cutoffFrequency, double rippleDb)
Public Member Functions inherited from Iir::CascadeStages< MaxStages, StateType >
void | reset ()
void | setup (const double(&sosCoefficients)[MaxStages][6])
template<typename Sample >
Sample | filter (const Sample in)
const Cascade::Storage | getCascadeStorage ()

## Detailed Description

### template<int FilterOrder = 4, class StateType = DirectFormII>
struct Iir::ChebyshevI::LowPass< FilterOrder, StateType >

ChebyshevI lowpass filter

Parameters

  FilterOrder | Reserves memory for a filter of the order FilterOrder
  StateType | The filter topology: DirectFormI, DirectFormII, ...

## Member Function Documentation

## ◆ setup() [1/2]

template<int FilterOrder = 4, class StateType = DirectFormII>

void Iir::ChebyshevI::LowPass< FilterOrder, StateType >::setup | ( | double | sampleRate,
|  | double | cutoffFrequency,
|  | double | rippleDb
| ) |  |
| inline

Calculates the coefficients of the filter at the order FilterOrder

Parameters

  sampleRate | Sampling rate
  cutoffFrequency | Cutoff frequency
  rippleDb | Permitted ripples in dB in the passband

## ◆ setup() [2/2]

template<int FilterOrder = 4, class StateType = DirectFormII>

void Iir::ChebyshevI::LowPass< FilterOrder, StateType >::setup | ( | int | reqOrder,
|  | double | sampleRate,
|  | double | cutoffFrequency,
|  | double | rippleDb
| ) |  |
| inline

Calculates the coefficients of the filter at specified order

Parameters

  reqOrder | Actual order for the filter calculations
  sampleRate | Sampling rate
  cutoffFrequency | Cutoff frequency.
  rippleDb | Permitted ripples in dB in the passband

## ◆ setupN() [1/2]

template<int FilterOrder = 4, class StateType = DirectFormII>

void Iir::ChebyshevI::LowPass< FilterOrder, StateType >::setupN | ( | double | cutoffFrequency,
|  | double | rippleDb
| ) |  |
| inline

Calculates the coefficients of the filter at the order FilterOrder

Parameters

  cutoffFrequency | Normalised cutoff frequency (0..1/2)
  rippleDb | Permitted ripples in dB in the passband

## ◆ setupN() [2/2]

template<int FilterOrder = 4, class StateType = DirectFormII>

void Iir::ChebyshevI::LowPass< FilterOrder, StateType >::setupN | ( | int | reqOrder,
|  | double | cutoffFrequency,
|  | double | rippleDb
| ) |  |
| inline

Calculates the coefficients of the filter at specified order

Parameters

  reqOrder | Actual order for the filter calculations
  cutoffFrequency | Normalised cutoff frequency (0..1/2)
  rippleDb | Permitted ripples in dB in the passband

The documentation for this struct was generated from the following file:

- iir/ChebyshevI.h